﻿@model MyApp.Web.ViewModels.EngagementListViewModel
@using OpenPlatform.General.Extensions;
@using MyApp.Web.ViewModels;

@{
    ViewBag.Title = @MyApp.Web.Resources.EVAResource.WebsiteTitle;
}

@Html.Partial("_NavSuperUser", MyApp.Web.Resources.EVAResource.engagementzones)

@if (Model.ListOfEngagements == null || Model.ListOfEngagements.Count == 0)
{
    @Html.Partial("_NoRecordsExist", MyApp.Web.Resources.EVAResource.Home);
}
else
{
    <div class="table-responsive">
        <table class="table-striped">
            <tr class="tableheaderrow">
                <th>@MyApp.Web.Resources.EVAResource.dateadded</th>
                <th>@MyApp.Web.Resources.EVAResource.emailaddress</th>
                <th>@MyApp.Web.Resources.EVAResource.unregisteredid</th>

            </tr>
            <tbody>
                @foreach (EngagementViewModel item in Model.ListOfEngagements)
                {
                    <tr>
                        <td>
                            @item.DateAdded.ToShortDateString() @item.DateAdded.ToLongTimeString()
                        </td>
                        <td>
                            @item.Emailaddress
                        </td>
                        <td>
                            @item.UnregisteredCode
                        </td>
                    </tr>
                }
            </tbody>
        </table>
    </div>

}
